<nav>
    <a mat-button color="primary" *ngIf="first" 
        [routerLink]="['/']"
        [queryParams]="{page: first}" >
        Primeira
    </a>

    <a mat-button class="rounded-button" color="primary" *ngIf="first" 
        [routerLink]="['/']"
        [queryParams]="{page: pageIndex - 1}" >
        <mat-icon>navigate_before</mat-icon>
    </a>

    <a mat-button class="rounded-button" color="primary" *ngFor="let page of pages" 
        [routerLink]="['/']" 
        [disabled]="pageIndex==page"
        [queryParams]="{page: page}" >
        {{ page }}
    </a>

    <a mat-button class="rounded-button" color="primary" *ngIf="last" 
        [routerLink]="['/']"

         [queryParams]="{page: 1 + pageIndex * 1}" >
        <mat-icon>navigate_next</mat-icon>
    </a>

    <a mat-button color="primary" *ngIf="last" 
        [routerLink]="['/']"
        [relativeTo]=""
        [replaceUrl]="true"
        [queryParams]="{page: last}" >
        Última
    </a>
</nav>
